Bug 254040 - (CVE-2007-4135) CVE-2007-4135 nfs-utils-lib NFSv4 user id mapping flaw
CVE-2007-4135 nfs-utils-lib NFSv4 user id mapping flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,reported=20070820,pu...
: Security
Depends On: 254041 254042
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 15:15 EDT by Josh Bressers
Modified: 2010-12-22 17:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 17:19:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (731 bytes, patch)
2007-08-23 15:34 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2007-08-23 15:15:43 EDT
Tony Ernst from SGI has discovered a flaw in the way nfsidmap maps NFSv4 unknown
uids.  If an unknown user ID is encountered on an NFSv4 mounted filesystem, the
files will default to being owned by root rather than nobody.  This could
potentially be used to elevate a users privileges.  This is fixed in nfsidmap
version 0.17.
Comment 2 Josh Bressers 2007-08-23 15:34:20 EDT
Created attachment 172372 [details]
Proposed patch
Comment 3 Tomas Hoger 2007-09-05 11:33:26 EDT
Issue is public now, removing embargo.
Comment 6 Vincent Danen 2010-12-22 17:19:59 EST
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2007:09510

Note You need to log in before you can comment on or make changes to this bug.